// Generated by gencpp from file moveit_trajectory_interface/FollowResponse.msg
// DO NOT EDIT!


#ifndef MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWRESPONSE_H
#define MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWRESPONSE_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace moveit_trajectory_interface
{
template <class ContainerAllocator>
struct FollowResponse_
{
  typedef FollowResponse_<ContainerAllocator> Type;

  FollowResponse_()
    {
    }
  FollowResponse_(const ContainerAllocator& _alloc)
    {
  (void)_alloc;
    }







  typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> const> ConstPtr;

}; // struct FollowResponse_

typedef ::moveit_trajectory_interface::FollowResponse_<std::allocator<void> > FollowResponse;

typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowResponse > FollowResponsePtr;
typedef boost::shared_ptr< ::moveit_trajectory_interface::FollowResponse const> FollowResponseConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >::stream(s, "", v);
return s;
}


} // namespace moveit_trajectory_interface

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsMessage< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "d41d8cd98f00b204e9800998ecf8427e";
  }

  static const char* value(const ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xd41d8cd98f00b204ULL;
  static const uint64_t static_value2 = 0xe9800998ecf8427eULL;
};

template<class ContainerAllocator>
struct DataType< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "moveit_trajectory_interface/FollowResponse";
  }

  static const char* value(const ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
{
  static const char* value()
  {
    return "\n"
;
  }

  static const char* value(const ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream&, T)
    {}

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct FollowResponse_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream&, const std::string&, const ::moveit_trajectory_interface::FollowResponse_<ContainerAllocator>&)
  {}
};

} // namespace message_operations
} // namespace ros

#endif // MOVEIT_TRAJECTORY_INTERFACE_MESSAGE_FOLLOWRESPONSE_H
